App\Library\Amazon\Classes\Filter:
    xml_root_name: Filter
    properties:
        forUseWith:
            expose: true
            access_type: public_method
            serialized_name: ForUseWith
            accessor:
                getter: getForUseWith
                setter: setForUseWith
            type: string
        packageType:
            expose: true
            access_type: public_method
            serialized_name: PackageType
            accessor:
                getter: getPackageType
                setter: setPackageType
            type: string
        mountType:
            expose: true
            access_type: public_method
            serialized_name: MountType
            accessor:
                getter: getMountType
                setter: setMountType
            type: string
        threadSize:
            expose: true
            access_type: public_method
            serialized_name: ThreadSize
            accessor:
                getter: getThreadSize
                setter: setThreadSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        dropInSize:
            expose: true
            access_type: public_method
            serialized_name: DropInSize
            accessor:
                getter: getDropInSize
                setter: setDropInSize
            type: string
        bayonetSize:
            expose: true
            access_type: public_method
            serialized_name: BayonetSize
            accessor:
                getter: getBayonetSize
                setter: setBayonetSize
            type: string
        filterType:
            expose: true
            access_type: public_method
            serialized_name: FilterType
            accessor:
                getter: getFilterType
                setter: setFilterType
            type: string
        filterColor:
            expose: true
            access_type: public_method
            serialized_name: FilterColor
            accessor:
                getter: getFilterColor
                setter: setFilterColor
            type: string
        specialEffect:
            expose: true
            access_type: public_method
            serialized_name: SpecialEffect
            accessor:
                getter: getSpecialEffect
                setter: setSpecialEffect
            type: string
        specificUses:
            expose: true
            access_type: public_method
            serialized_name: SpecificUses
            accessor:
                getter: getSpecificUses
                setter: setSpecificUses
            type: string
